# gslice_array.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file gslice_array.h.

## Define Documentation

#define _DEFINE_VALARRAY_OPERATOR | ( | op,
|  | name |  | ) |

Value:

    template<typename _Tp>                          \
    inline void                             \
    gslice_array<_Tp>::operator op##= (const valarray<_Tp>& __v) const  \
    {                                   \
        _Array_augmented_##name (_M_array, _Array<size_t>(_M_index),    \
                                  _Array<_Tp> (__v), __v.size ());      \
    }                                   \
                                        \
    template<typename _Tp> template<class E>                    \
    inline void                                 \
    gslice_array<_Tp>::operator op##= (const _Expr<E, _Tp>& __e) const  \
    {                                   \
        _Array_augmented_##name (_M_array, _Array<size_t>(_M_index), __e,   \
                                  _M_index.size());             \
    }

Definition at line 140 of file gslice_array.h.